This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 473659

Summary: Screen brightness adjustment does not function on Compaq 6720s
Product: [Fedora] Fedora Reporter: Michal Klich <klich.michal>
Component: hal-infoAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 10CC: rdieter, richard
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 02:02:14 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Michal Klich 2008-11-29 15:19:55 EST
Description of problem:
I am not able to adjust my screen brightness. I have configured brightness levels for ac and battery but they do not seem to work. Though when i leave my laptop and it turns off LCD as i have that in power management it changes brightness to some low level and i am not able to change that back. It acts really strange because it sometimes changes brightness with no reason.
My function keys to adjust brightness do not work either.


Version-Release number of selected component (if applicable):

kernel: 2.6.27.5-117.fc10.x86_64
xorg: xorg-x11-server-Xorg-1.5.3-5.fc10.x86_64 
guidance-power-manager: guidance-power-manager-4.1.3-1.fc10.x86_64

Laptop is Compaq 6720s, Intel X3100 graphic.

How reproducible:
Every time i use my laptop

  
Actual results:
Does not work

Expected results:
Should adjust brightness level

Additional info:
Comment 1 Rex Dieter 2008-11-29 16:34:12 EST
Works splendid here on my dell latitude d620.

Maybe hal (brightness controls) simply doesn't work with your model.  The fact that your brightness keys don't work either is suspect.

I'll bounce this over to hal-info for comment/feedback.
Comment 2 Michal Klich 2008-11-29 18:16:04 EST
Forgot to mention that this worked beautiful on F9.
It works on Ubuntu 8.10 and Debian Lenny. 
It does not on Rawhide.

Thanks for help
Comment 3 Bug Zapper 2009-11-18 04:04:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:02:14 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.